Skip to content

AurellixPay API Documentation

This page shows the usage of some runtime APIs provided by AurellixPay.

API base URL - Please contact customer service to obtain it

Batch Payout Upload Interface

  • Data type: JSON (content-type: application/json)
  • Request method: POST
  • Path: /v1/hexpay/batchPayment/upload
  • Authentication: Signature verification

Interface Description

This interface accepts batch payout records passed by the merchant, performs data validation and balance checks, and creates a batch payout application.

Request Parameters

Field NameTypeMax LengthRequiredDescription
mchNoString30YesMerchant number
appIdString64YesApplication ID, assigned by the merchant platform
signString512YesSignature
signTypeString10YesSignature type, default value RSA2
versionString10YesVersion number, e.g., v1.0
recordsArray-YesBatch payout records list
purposeString256NoPayout purpose

Record Type

Field NameTypeRequiredDescription
recipientAddressStringYesRecipient address
paymentAmountBigDecimalYesPayout amount
paymentCurrencyStringYesPayout currency, optional values: USDT, USDC
networkTypeStringYesNetwork type, optional values: Tron (Maintenance), Solana, Ethereum, Polygon, Arbitrum, Binance_smart_chain
remarksStringNoRemarks
addressTagStringNoAddress tag

Sample Request Data

json
{
    "mchNo": "M1752564528",
    "appId": "68760330a2cf0af37c52a073",
    "signType": "RSA2",
    "version": "v1.0",
    "purpose": "Batch payout test",
    "records": [
        {
            "recipientAddress": "TUEZSdKsoDHQMeZwihtdoBiN46zP8ulvDE",
            "paymentAmount": 10.50,
            "paymentCurrency": "USDT",
            "networkType": "Binance_smart_chain",
            "remarks": "Payout remark 1",
            "addressTag": "tag1"
        },
        {
            "recipientAddress": "TSNEZdKsoDHQMeZwihtdoBiN46zP8ulvDE",
            "paymentAmount": 20.30,
            "paymentCurrency": "USDC",
            "networkType": "Binance_smart_chain",
            "remarks": "Payout remark 2",
            "addressTag": "tag2"
        }
    ],
    "sign": "VaKMVivLXtqJw6kp7PyNaI6P7qoLM9kOXms5Tll8TsX0eubZ0F+bbxGpfaTR2zpCZkVr/iygD4QyuueMt+pMOAOXZ2yayFGloyKL1mMfNHzb5PDPMhU3cKm6cb+BCHkfk5S602rCBFrQSEhVgQiwpd5ezI6NAdw4+EdPwVmzXH6pVZ9YXNSp9n1O8caS5dL0bjhWxO5EFWrxhbfFNLgWy1OXRs9e02wHZXbzukAkbuJl6UZDpPKKluy2m1BbgxYYYHlx4sunBsE8vP5vj50UHg8KK4v1K/XXzx+oIpZQ85895ZFAISLO9V7ugdlXx/+jrpzg2xnEOK9ss/oSSbdDoQ=="
}

Response Parameters

Field NameTypeRequiredDescription
codeStringYesResponse code
dataObjectNoResponse data
msgStringNoResponse message

data Data Format

Field NameTypeDescription
batchNoStringBatch number
totalCountIntegerTotal number of records
totalAmountArrayTotal amount statistics by currency
applyTimeDateApplication time
checkErrorListArrayData validation error list
checkBalanceListArrayBalance check results (only returns insufficient balance)

totalAmount Data Format

Field NameTypeDescription
currencyStringCurrency
amountBigDecimalAmount

checkBalanceList Data Format

Field NameTypeDescription
paymentCurrencyStringCurrency
paymentAmountBigDecimalPayout amount
freeAmountBigDecimalTransaction fee
totalAmountBigDecimalTotal amount (Payout + Fee)
availableAmountBigDecimalCurrent account available balance
isSatisfyIntegerWhether conditions are met (0=insufficient, 1=sufficient)
validCountIntegerValid records count
errorCountIntegerError records count

Response Sample

json
{
    "code": 0,
    "data": {
        "batchNo": "BP20250905123456789",
        "totalCount": 2,
        "totalAmount": [
            {
                "currency": "USDT",
                "amount": 10.50
            },
            {
                "currency": "USDC",
                "amount": 20.30
            }
        ],
        "applyTime": "2025-09-05 14:30:25",
        "checkErrorList": [],
        "checkBalanceList": [
            {
                "paymentCurrency": "USDT",
                "paymentAmount": 10.50,
                "freeAmount": 0.50,
                "totalAmount": 11.00,
                "availableAmount": 5.00,
                "isSatisfy": 0,
                "validCount": 1,
                "errorCount": 0
            }
        ]
    },
    "msg": "SUCCESS"
}

Batch Payout Query Interface

  • Data type: JSON (content-type: application/json)
  • Request method: POST
  • Path: /v1/hexpay/batchPayment/query
  • Authentication: Signature verification

Interface Description

This interface queries the detailed information of a batch payout application according to the batch number, including the audit status and the execution status of each record.

Request Parameters

Field NameTypeMax LengthRequiredDescription
mchNoString30YesMerchant number
appIdString64YesApplication ID, assigned by the merchant platform
signString512YesSignature
signTypeString10YesSignature type, default value RSA2
versionString10YesVersion number, e.g., v1.0
batchNoString64YesBatch number

Sample Request Data

json
{
    "mchNo": "M1752564528",
    "appId": "68760330a2cf0af37c52a073",
    "signType": "RSA2",
    "version": "v1.0",
    "batchNo": "BP20250905123456789",
    "sign": "VaKMVivLXtqJw6kp7PyNaI6P7qoLM9kOXms5Tll8TsX0eubZ0F+bbxGpfaTR2zpCZkVr/iygD4QyuueMt+pMOAOXZ2yayFGloyKL1mMfNHzb5PDPMhU3cKm6cb+BCHkfk5S602rCBFrQSEhVgQiwpd5ezI6NAdw4+EdPwVmzXH6pVZ9YXNSp9n1O8caS5dL0bjhWxO5EFWrxhbfFNLgWy1OXRs9e02wHZXbzukAkbuJl6UZDpPKKluy2m1BbgxYYYHlx4sunBsE8vP5vj50UHg8KK4v1K/XXzx+oIpZQ85895ZFAISLO9V7ugdlXx/+jrpzg2xnEOK9ss/oSSbdDoQ=="
}

Response Parameters

Field NameTypeRequiredDescription
codeStringYesResponse code
dataObjectNoResponse data
msgStringNoResponse message

data Data Format

Field NameTypeDescription
batchNoStringBatch number
mchNoStringMerchant number
mchNameStringMerchant name
auditStatusByteAudit status: 0-Pending, 1-Executing, 2-Rejected, 3-Completed, 4-Failed, 5-Cancelled
totalCountIntegerTotal records count
successCountIntegerSuccessful count
failCountIntegerFailed count
processingCountIntegerProcessing count
waitCountIntegerPending count
totalAmountBigDecimalTotal amount
applyTimeDateApplication time
auditTimeDateAudit time
executeTimeStringExecution time
purposeStringPayout purpose
rejectReasonStringRejection reason
auditOpinionStringAudit opinion
recordsArrayDetailed records list

RecordDetail Data Format

Field NameTypeDescription
idLongRecord ID
recipientAddressStringRecipient address
paymentAmountBigDecimalPayout amount
paymentCurrencyStringPayout currency
networkTypeStringNetwork type
feeAmountBigDecimalFee amount
remarksStringRemarks
addressTagStringAddress tag
statusByteRecord status: 0-Pending, 1-Processing, 2-Payout successful, 3-Payout failed, 4-Cancelled
failReasonStringFailure reason
txHashStringTransaction hash
processedAtDateProcessed time
createdAtDateCreation time

Response Sample

json
{
    "code": 0,
    "data": {
        "batchNo": "BP20250905123456789",
        "mchNo": "M1752564528",
        "mchName": "Test Merchant",
        "auditStatus": 1,
        "totalCount": 2,
        "successCount": 1,
        "failCount": 0,
        "processingCount": 1,
        "waitCount": 0,
        "totalAmount": 30.80,
        "applyTime": "2025-09-05 14:30:25",
        "auditTime": "2025-09-05 14:35:10",
        "executeTime": "2025-09-05 14:35:15",
        "purpose": "Batch payout test",
        "rejectReason": null,
        "auditOpinion": "Approved",
        "records": [
            {
                "id": 1001,
                "recipientAddress": "TUEZSdKsoDHQMeZwihtdoBiN46zP8ulvDE",
                "paymentAmount": 10.50,
                "paymentCurrency": "USDT",
                "networkType": "",
                "feeAmount": 0.50,
                "remarks": "Payout remark 1",
                "addressTag": "tag1",
                "status": 2,
                "failReason": null,
                "txHash": "0x1234567890abcdef1234567890abcdef12345678",
                "processedAt": "2025-09-05 14:40:20",
                "createdAt": "2025-09-05 14:30:25"
            },
            {
                "id": 1002,
                "recipientAddress": "TSNEZdKsoDHQMeZwihtdoBiN46zP8ulvDE",
                "paymentAmount": 20.30,
                "paymentCurrency": "USDC",
                "networkType": "Binance_smart_chain",
                "feeAmount": 1.00,
                "remarks": "Payout remark 2",
                "addressTag": "tag2",
                "status": 1,
                "failReason": null,
                "txHash": null,
                "processedAt": null,
                "createdAt": "2025-09-05 14:30:25"
            }
        ]
    },
    "msg": "SUCCESS"
}

Batch Payout Cancellation Interface

  • Data type: JSON (content-type: application/json)
  • Request method: POST
  • Path: /v1/hexpay/batchPayment/cancel
  • Authentication: Signature verification

Interface Description

This interface is used to cancel a batch payout application in "Pending review" status. After cancellation, the frozen balance will be rolled back.

Request Parameters

Field NameTypeMax LengthRequiredDescription
mchNoString30YesMerchant number
appIdString64YesApplication ID, assigned by the merchant platform
signString512YesSignature
signTypeString10YesSignature type, default value RSA2
versionString10YesVersion number, e.g., v1.0
batchNoString64YesBatch number

Sample Request Data

json
{
    "mchNo": "M1752564528",
    "appId": "68760330a2cf0af37c52a073",
    "signType": "RSA2",
    "version": "v1.0",
    "batchNo": "BP20250905123456789",
    "sign": "VaKMVivLXtqJw6kp7PyNaI6P7qoLM9kOXms5Tll8TsX0eubZ0F+bbxGpfaTR2zpCZkVr/iygD4QyuueMt+pMOAOXZ2yayFGloyKL1mMfNHzb5PDPMhU3cKm6cb+BCHkfk5S602rCBFrQSEhVgQiwpd5ezI6NAdw4+EdPwVmzXH6pVZ9YXNSp9n1O8caS5dL0bjhWxO5EFWrxhbfFNLgWy1OXRs9e02wHZXbzukAkbuJl6UZDpPKKluy2m1BbgxYYYHlx4sunBsE8vP5vj50UHg8KK4v1K/XXzx+oIpZQ85895ZFAISLO9V7ugdlXx/+jrpzg2xnEOK9ss/oSSbdDoQ=="
}

Response Parameters

Field NameTypeRequiredDescription
codeStringYesResponse code
dataObjectNoResponse data
msgStringNoResponse message

data Data Format

Field NameTypeDescription
idLongPrimary ID
batchNoStringBatch number
mchNoStringMerchant number
mchNameStringMerchant name
totalCountIntegerTotal records count
totalAmountBigDecimalTotal amount
statusByteAudit status: 0-Pending, 1-Executing, 2-Rejected, 3-Completed, 4-Failed, 5-Cancelled
auditUserIdLongauditor ID
auditUserNameStringAuditor nickname
auditTimeDateAudit time
remarksStringRemarks
purposeStringPayout purpose
rejectReasonStringRejection reason
auditOpinionStringAudit opinion
executeTimeStringExecution time
successCountIntegerSuccessful count
failCountIntegerFailed count
executingCountIntegerExecuting count
createdAtDateCreation time
updatedAtDateUpdated time

Response Sample

json
{
    "code": 0,
    "data": {
        "id": 1001,
        "batchNo": "BP20250905123456789",
        "mchNo": "M1752564528",
        "mchName": "Test Merchant",
        "totalCount": 2,
        "totalAmount": 30.80,
        "status": 5,
        "auditUserId": null,
        "auditUserName": null,
        "auditTime": null,
        "remarks": null,
        "purpose": "Batch payout test",
        "rejectReason": null,
        "auditOpinion": null,
        "executeTime": null,
        "successCount": 0,
        "failCount": 0,
        "executingCount": 0,
        "createdAt": "2025-09-05 14:30:25",
        "updatedAt": "2025-09-05 15:20:15"
    },
    "msg": "SUCCESS"
}